- entityDefinitions:
  - IDI_Task_CircuitBreakerPanel_View:    '{b70a5581-b6ae-4fbf-aefa-0ccaeae4f51f}'
  - IDE_CircuitBreakerPanel_View:        '{5db1bb7d-3e03-4ef4-90d0-62c7741a3554}'

  - IDE_CircuitBreakerPanel_View_Start: '{c355a623-480e-40e8-9540-481bdc449121}'
  - IDM_CircuitBreakerPanel_View_Start:  '{40f81e47-7419-40be-bb7d-53b5a20e717a}'

  - IDMB_CircuitBreakerPanel_View: '{149314ae-1e49-4440-bdf9-d34a4ed05ece}'
  - IDM_CircuitBreakerPanel_View: '{9785795a-468e-4e89-9ef8-a570a632ebc6}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_CircuitBreakerPanel_View;'
    name: 'View Circuit Breaker Panel'
    initiatingElement: '&IDE_CircuitBreakerPanel_View_Start;'
    taskCategory: '&IDI_TaskCategory_CircuitBreakerPanel;'
    
  - controlTransactionMethod: '&IDM_CircuitBreakerPanel_View_Start;'
    forClassId: '&IDC_CircuitBreakerPanel;'
    verb: ''
    name: 'Circuit Breaker Panel View Start'
    buildsResponseWithBRMB: '&IDMB_CircuitBreakerPanel_View;'

  - element: '&IDE_CircuitBreakerPanel_View_Start;'
    name: 'View Circuit Breaker Panel Start'
    processedByCTMethod: '&IDM_CircuitBreakerPanel_View_Start;'
    elementContents:
    - globalIdentifier: '{920eca03-3475-47f9-9cb9-5be476a17d2a}'
      defaultDataType: '&IDE_CircuitBreakerPanel_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_CircuitBreakerPanel_View;'
    name: 'View Circuit Breaker Panel'
    elementContents:
    - globalIdentifier: '{bf9e5fae-89eb-48d2-8b25-fc8e6b85ac57}'
      defaultDataType: '&IDC_CircuitBreakerPanel;'
      label: 'Circuit Breaker Panel'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{e31f4adb-7f36-4522-91b6-d5999a74c13d}'
      defaultDataType: '&IDE_CircuitBreakerPanel_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{dfa81e3e-88ac-455f-9025-5f5e9723a898}'
      defaultDataType: '&IDE_CircuitBreakerPanel_Panels;'
      builtFromBEMProcess: '{d42af237-da5f-415d-a2c2-5f298c6ffc3e}'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

  - buildUIResponseMethod: '&IDM_CircuitBreakerPanel_View;'
    usesExecutableReturningElement: '&IDE_CircuitBreakerPanel_View;'

  - buildResponseMethodBinding: '&IDMB_CircuitBreakerPanel_View;'
    executesMethod: '&IDM_CircuitBreakerPanel_View;'
